Subject: Re: bug#43062: --expose in vm does not reflect file modifications in guest

From: Ludovic Courtès <[email-masked]>
Date: Mon, 31 Aug 2020 15:52:11 +0200

Hello!

Christopher Baines <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> Hi,
>>
>> elaexuotee--- via Bug reports for GNU Guix <[email-masked]> skribis:
>>
>>> When using --expose to mirror a path between host and guest, the guest mirror
>>> fails to reflect file modifications from the host. However, file creation and
>>> deletion are correctly propogated.
>>>
>>> To pick up file modifications in the guest, it is sufficient to remount
>>> mirroring 9p filesystem.
>>>
>>> Is this behaviour expected?
>>
>> I believe this comes from the “cache=loose” 9p mount option added in
>> commit e0d96774dd48c29ccc4c90fea1f8f71850ab0879.
>>
>> Does the patch below help?
>>
>> Chris, what do you think?  How would this affect the performance issues
>> that led to e0d96774dd48c29ccc4c90fea1f8f71850ab0879?
>
> Caching only for readonly filesystems sounds fine, I think I was only
> thinking about the store for e0d96774dd48c29ccc4c90fea1f8f71850ab0879.

Alright, I went ahead and did that in
7eeb78157d3d0267ce4a4ea38ff56a2c4246c11b.

Thanks!

Ludo’.